LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 02-13-2007, 01:16 PM   #1
Ongeboren
Member
 
Registered: Apr 2006
Location: Brussels
Distribution: Kubuntu 7.04, PCLinuxOS 2007
Posts: 63

Rep: Reputation: 15
Need help installing wine..


Hi, I'm using at Slack 11.

via the pkgtool manager, i've installed wine, but when i type into the console
"wine" or "winecfg"

i get errors, missing glibc or somethin..

Code:
wine: glibc >= 2.3 without NPTL or TLS is not a supported combination.
      It will most likely crash. Please upgrade to a glibc with NPTL support.
wine: creating configuration directory '/root/.wine'...
wine: glibc >= 2.3 without NPTL or TLS is not a supported combination.
      It will most likely crash. Please upgrade to a glibc with NPTL support.
wine: Unhandled page fault on write access to 0x003ffd80 at address 0x609ad103 (thread 0009), starting debugger...
wine: glibc >= 2.3 without NPTL or TLS is not a supported combination.
      It will most likely crash. Please upgrade to a glibc with NPTL support.
wine: Unhandled page fault on write access to 0x003ffd80 at address 0x609b0103 (thread 000b), starting debugger...
wine: glibc >= 2.3 without NPTL or TLS is not a supported combination.
      It will most likely crash. Please upgrade to a glibc with NPTL support.
err:seh:raise_exception Unhandled exception code c0000005 flags 0 addr 0x6000c04b
wine: wineprefixcreate failed while creating '/root/.wine'.
root@xsane:~# wine: Unhandled page fault on write access to 0x003ffd80 at address 0x609b0103 (thread 000d), starting debugger...
err:seh:raise_exception Unhandled exception code c0000005 flags 0 addr 0x6000c04b
err:seh:raise_exception Unhandled exception code c0000005 flags 0 addr 0x6000c04b
wineserver: could not save registry branch to /root/.wine-21dncv/system.reg : No such file or directory
wineserver: could not save registry branch to /root/.wine-21dncv/user.reg : No such file or directory


Last edited by Ongeboren; 02-13-2007 at 02:00 PM.
 
Old 02-13-2007, 01:28 PM   #2
MS3FGX
Guru
 
Registered: Jan 2004
Location: NJ, USA
Distribution: Slackware, Debian
Posts: 5,852

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
This topic would get a lot more attention in the Slackware forum.

The issue is that Slackware has not updated glibc past 2.3 because it would break compatibility with kernel version 2.4. But Slackware does still include TLS and NTPL, just not in the "normal" configuration.

You can read some more about that here.

Basically, you are probably going to need to install the 2.6 kernel and headers, since WINE no longer supports kernel 2.4 (or so I hear, I have never tried). You may also need to compile your own build of WINE to make sure everything is configured properly.
 
Old 02-13-2007, 01:48 PM   #3
rshaw
Senior Member
 
Registered: Apr 2001
Location: Perry, Iowa
Distribution: Mepis , Debian
Posts: 2,694

Rep: Reputation: 45
moved to slackware
 
Old 02-13-2007, 02:28 PM   #4
Eternal_Newbie
Member
 
Registered: Jun 2005
Location: The Pudding Isles
Distribution: Slackware 13.37
Posts: 573

Rep: Reputation: 58
It will probably be easiest to move to a 2.6.x kernel. I what to do that to get WineHQ Slackware packages later than Wine 0.9.17 to work on my system.
 
Old 05-07-2007, 01:44 PM   #5
north49er
Member
 
Registered: Apr 2003
Location: 60.47'N lat
Distribution: fedora 15 x86_64
Posts: 156

Rep: Reputation: 18
I don't want to wake up old threads, but is this still the case as of today?
 
Old 05-08-2007, 02:35 AM   #6
allend
Senior Member
 
Registered: Oct 2003
Location: Melbourne
Distribution: Slackware-current
Posts: 3,379

Rep: Reputation: 824Reputation: 824Reputation: 824Reputation: 824Reputation: 824Reputation: 824Reputation: 824
The latest versions of wine require the NPTL (native POSIX thread library) to be enabled in the kernel. This is the case for the 2.6 kernels, but is not the case for the standard 2.4 kernels supplied on the Slackware install CDs.

Install a 2.6 kernel and download the Slackware package of wine from the WineHQ website.
 
Old 05-08-2007, 08:00 PM   #7
MS3FGX
Guru
 
Registered: Jan 2004
Location: NJ, USA
Distribution: Slackware, Debian
Posts: 5,852

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
As Slackware 11 is still the most recent stable release of Slackware, yes, the situation is the same. As already covered you would need to install a 2.6 kernel on Slackware 11 to use Wine.

However, Slackware -current, which is the development branch that will eventually become the next stable release of Slackware, has now dropped 2.4 all together. As of the next stable release of Slackware, 2.4 kernels will no longer be included, and we won't have problems like this anymore.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing Wine ipodlinux Linux - Software 1 11-26-2005 04:24 AM
wine: installing win apps. using wine on mandrake10 dexmax Linux - Newbie 2 09-05-2005 04:40 PM
need help installing wine thedjwiththebeats Linux - Software 3 07-08-2005 12:40 PM
Installing Wine david_harvard Linux - Newbie 1 06-02-2004 11:37 PM
installing Wine?! qeX][lenny- Linux - Newbie 3 11-24-2003 02:56 PM


All times are GMT -5. The time now is 07:04 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration